/* This file is in the public domain.  Do what you want with it. */

#include "httpd.h"
#include "http_config.h"
#include "http_protocol.h"
#include "ap_config.h"
#include <Foundation/Foundation.h>

static int my_handler (request_rec *r)
{
  NSString *string;
  NSString *name;
  CREATE_AUTORELEASE_POOL (arp);
  
  r->content_type = "text/html";      
  ap_send_http_header (r);

  name = [[NSProcessInfo processInfo] processName];

  string = [NSString stringWithFormat:  
              @"Hi from GNUstep in process %@\n",
              name];
                     
  ap_rputs ([string cString], r);
  
  RELEASE (arp);
  return OK;
}

static const handler_rec my_handlers[] = { 
    { "my-handler", my_handler }, 
    { NULL, NULL }
};

module MODULE_VAR_EXPORT nicola_module = {
  STANDARD_MODULE_STUFF,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  my_handlers,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL                   
};
